@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
flash.h File Reference
`#include "pico.h"`
Include dependency graph for flash.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | PARAM_ASSERTIONS_ENABLED_HARDWARE_FLASH 0
#define | FLASH_PAGE_SIZE (1u << 8)
#define | FLASH_SECTOR_SIZE (1u << 12)
#define | FLASH_BLOCK_SIZE (1u << 16)
#define | FLASH_UNIQUE_ID_SIZE_BYTES 8

## Functions

void | flash_start_xip (void)
| Initialise QSPI interface and external QSPI devices for execute-in-place.
void | flash_range_erase (uint32_t flash_offs, size_t count)
| Erase areas of flash.
void | flash_range_program (uint32_t flash_offs, const uint8_t *data, size_t count)
| Program flash.
void | flash_get_unique_id (uint8_t *id_out)
| Get flash unique 64 bit identifier.
void | flash_do_cmd (const uint8_t *txbuf, uint8_t *rxbuf, size_t count)
| Execute bidirectional flash command.
void | flash_flush_cache (void)